;;; init-fzf.el --- Initialize fzf.el -*- lexical-binding: t -*-

;;; Commentary:

;; https://github.com/bling/fzf.el

;;; Code:

(require 'fzf)

(global-set-key (kbd "C-o") #'init-fzf-find-file-in-home)

(setq fzf/window-height 10)
(setq fzf/args (concat (getenv "FZF_DEFAULT_OPTS") " --no-hscroll --print-query"))

(defun init-fzf-find-file-in-home ()
  "Find file in home directory.
This function is needed because setting `fzf/directory-start'
didn't work for me."
  (interactive)
  (fzf-find-file "~"))

(provide 'init-fzf)

;;; init-fzf.el ends here
